/******************************************************************************/
/* SlunkCrypt, by LoRd_MuldeR <MuldeR2@GMX.de>                                */
/* This work has been released under the CC0 1.0 Universal license!           */
/******************************************************************************/

/* Internal */
#include "debug.h"

/* CRT */
#include <stdio.h>
#include <stdarg.h>

/* syslog */
#if defined(_WIN32)
#  define WIN32_LEAN_AND_MEAN 1
#  include <Windows.h>
#elif defined(__unix__) || defined(__HAIKU__)
#  include <syslog.h>
#endif

void slunkcrypt_debug_write(const char* const text)
{
#if defined(_WIN32)
	OutputDebugStringA(text);
#elif defined(__unix__) || defined(__HAIKU__)
	syslog(LOG_DEBUG, "%s", text);
#endif
}

void slunkcrypt_debug_print(const char* const text, ...)
{
	char buffer[100U];
	va_list ap;
	va_start(ap, text);
	if (vsnprintf(buffer, 100U, text, ap) > 0)
	{
		slunkcrypt_debug_write(buffer);
	}
	va_end(ap);
}
